dtexec(1X)

NAME
dtexec — A "wrapper" program for command lines to control when the command exits.

SYNOPSIS
dtexec <open_option> <command_line>

DESCRIPTION
Dtexec is used by the Common Desktop Environment (CDE) when executing terminal-based actions. Its' purpose is to keep the terminal window open after the command terminates in the following circumstances:

- If the action is of type PERM-TERMINAL.

- If the action is of type TERMINAL and the command "quickly" exits, which indicates that an error occurred.

The "open_option" arguments are:

1. "-1" - Keep the window open when "command_line" terminates.

2. "0" - Unmap the terminal window after "command_line" terminates.

3. "n" - Keep the terminal window mapped if "command_line" terminates within "n" seconds of starting. The default value is "3" seconds. To change the default, set the component's "waitTime" or "WaitTime" resource. For example, to change the CDE File Manager to wait "5" seconds, set the following resource: "Dtfile*waitTime: 5". Dtexec does not have any resources.

Dtexec's default path is "/usr/dt/bin". To change this location, set the component's "dtexecPath" or "DtexecPath" resource. For example, to change the CDE File Manager's dtexec path to "/usr/local/bin", set the following resource: "Dtfile*dtexecPath: /usr/local/bin".

RETURN VALUE
dtexec returns 0 if successful; otherwise it returns 1. Successful return from dtexec implies system resources were available to fork and exec the requested command, not that the requested command itself executed successfully.

NOTES

This program is not normally invoked directly by application programs. Normally an application program will link with the Desktop Services Library (DtSvc) which will then invoke dtexec as needed.

As mentioned above, an application program can set its waitTime and DtexecPath resources to affect the behavior of DtSvc library invocations of dtexec.